#include <os2.h>
#include "hwx_samp.h"

POINTER ID_MAIN_RES HWX_SAMP.ICO

MENU    ID_MAIN_RES
BEGIN
    SUBMENU         "Styles",                 ID_MI01_SMI00
    BEGIN
       MENUITEM     "HX_BORDER",              ID_MI01_SMI01
       MENUITEM     "HX_3DBORDER",            ID_MI01_SMI02
       MENUITEM     "WS_VISIBLE",             ID_MI01_SMI03
       MENUITEM     "WS_DISABLED",            ID_MI01_SMI04
       MENUITEM     "HX_3DBORDER | HX_BORDER",ID_MI01_SMI05
    END
    MENUITEM        "Sizing",                 ID_MI02_SMI00
    SUBMENU         "Strings",                ID_MI03_SMI00
    BEGIN
       MENUITEM     "At Creation Time",       ID_MI03_SMI01
    END
    SUBMENU         "Messages",               ID_MI04_SMI00
    BEGIN
       MENUITEM     "HXN_OVERFLOW",           ID_MI04_SMI01
       MENUITEM     "HXN_SETFOCUS",           ID_MI04_SMI02
       MENUITEM     "HXN_KILLFOCUS",          ID_MI04_SMI03
       MENUITEM     "HXN_CONTENTS_CHANGED",   ID_MI04_SMI04
       MENUITEM     "HXN_STROKE_ADDED",       ID_MI04_SMI05
       MENUITEM     "HXN_GESTURE_PENDING",    ID_MI04_SMI06
       MENUITEM     "HXN_DELETE_PENDING",     ID_MI04_SMI07
       MENUITEM     "HXN_INSERT_PENDING",     ID_MI04_SMI08
       MENUITEM     "WM_HELP",                ID_MI04_SMI09
    END
    SUBMENU         "API's",                  ID_MI05_SMI00
    BEGIN
       MENUITEM     "WinSetWindowText",       ID_MI05_SMI01
       MENUITEM     "WinQueryWindowText",     ID_MI05_SMI02
       MENUITEM     "WinEnableWindow",        ID_MI05_SMI03
    END
    MENUITEM        "MultipleControls",       ID_MI06_SMI00
    MENUITEM        "Quit",                   ID_QUIT
END

POINTER ID_TEST_RES HWX_SAMP.ICO
MENU    ID_TEST_RES
BEGIN
     MENUITEM "Clear", ID_CLEAR
     MENUITEM "Quit",  ID_QUIT
END

STRINGTABLE
BEGIN
  ID_MI01_SMI01 "HWX_HX_BORDER"
  ID_MI01_SMI02 "HWX_HX_3DBORDER"
  ID_MI01_SMI03 "HWX_WS_VISIBLE"
  ID_MI01_SMI04 "HWX_WS_DISABLED"
  ID_MI01_SMI05 "HWX_HX_3DBORDER_AND_BORDER"
  ID_MI02_SMI00 "HWX_SIZING"
  ID_MI03_SMI01 "HWX_INITIAL_TEXT"
  ID_MI04_SMI01 "HWX_HXN_OVERFLOW"
  ID_MI04_SMI02 "HWX_HXN_SETFOCUS"
  ID_MI04_SMI03 "HWX_HXN_KILLFOCUS"
  ID_MI04_SMI04 "HWX_HXN_CONTENTS_CHANGED"
  ID_MI04_SMI05 "HWX_HXN_STROKE_ADD"
  ID_MI04_SMI06 "HWX_HXN_GESTURE_PENDING"
  ID_MI04_SMI07 "HWX_HXN_DELETE_PENDING"
  ID_MI04_SMI08 "HWX_HXN_INSERT_PENDING"
  ID_MI04_SMI09 "HWX_WM_HELP"
  ID_MI05_SMI01 "HWX_WINSETWINDOWTEXT"
  ID_MI05_SMI02 "HWX_WINQUERYWINDOWTEXT"
  ID_MI05_SMI03 "HWX_WINENABLEWINDOW"
  ID_MI06_SMI00 "HWX_MULTIPLE_CONTROLS"
END
